Package org.eclipse.emf.cdo.admin

## Class CDOAdminClientUtil

- java.lang.Object
- - org.eclipse.emf.cdo.admin.CDOAdminClientUtil

-     public final class CDOAdminClientUtil
      extends java.lang.Object

  Various static methods that may help with CDO remote administration.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `DEFAULT_TIMEOUT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CDOAdminClientManager` | `createAdminManager()` |
    `static CDOAdminClientManager` | `createAdminManager​(org.eclipse.net4j.util.container.IManagedContainer container)` |
    `static CDOAdminClient` | `openAdmin​(java.lang.String url)` |
    `static CDOAdminClient` | `openAdmin​(java.lang.String url, long timeout)` |
    `static CDOAdminClient` | `openAdmin​(java.lang.String url, long timeout, org.eclipse.net4j.util.container.IManagedContainer container)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIMEOUT

          public static final long DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### openAdmin

          public static CDOAdminClient openAdmin​(java.lang.String url)

    - #### openAdmin

          public static CDOAdminClient openAdmin​(java.lang.String url,
                                                 long timeout)

    - #### openAdmin

          public static CDOAdminClient openAdmin​(java.lang.String url,
                                                 long timeout,
                                                 org.eclipse.net4j.util.container.IManagedContainer container)

    - #### createAdminManager

          public static CDOAdminClientManager createAdminManager()

    - #### createAdminManager

          public static CDOAdminClientManager createAdminManager​(org.eclipse.net4j.util.container.IManagedContainer container)